Skip to main content
GET
/
referrers
/
{referrerId}
Get a referrer
curl --request GET \
  --url https://api.kameleoon.com/referrers/{referrerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kameleoon.com/referrers/{referrerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kameleoon.com/referrers/{referrerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "detections": [
    {
      "and": true,
      "andMethod": "<string>",
      "andParameters": "<string>",
      "method": "<string>",
      "parameters": "<string>"
    }
  ],
  "id": 123,
  "index": 123,
  "modificationDate": "2023-11-07T05:31:56Z",
  "priority": 123,
  "siteId": 123,
  "tags": "<string>"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referrerId
integer<int64>
required

Response

OK

name
string
required

Name of the referrer

dateCreated
string<date-time>
read-only

Date and time referred is created

detections
Referrer detection · object[]
id
integer<int64>
read-only

Unique Id of the referrer

index
integer<int32>
read-only

Index of the referrer

modificationDate
string<date-time>
read-only

Date and time referred is modified

priority
integer<int32>

Priority of the referrer

siteId
integer<int64>

Site Id of the project the referrer belongs to

tags
string

Tags belonging to this referrer